{% load i18n sekizai_tags %}
{% load translation_filters assessment_tags %}
{% load staticfiles %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title></title>
    <link href="{% static 'frontend/css/hzpc/bootstrap.css' %}" rel="stylesheet" type="text/css" />
    <style type="text/css">
        body {
            font-family: "Trebuchet MS", Helvetica, Arial, sans-serif;
            font-size: 20pt;
        }
        .bold {
            font-weight: bold;
        }
        .heading {
            font-weight: bold;
            padding-top: 10px;
            padding-bottom: 10px;
        }
        .paragraph {
            padding-top: 10px;
            padding-bottom: 10px;
        }
        .header-img {
            width: 200px;
        }
        .pdt-10 {
            padding-top: 10px;
        }
        @page {
          size: A4;
          margin: 0;
        }
        @media print {
          html, body {
            width: 210mm;
            height: 297mm;
          }
        }
        table {
            table-layout: fixed;
            font-size: 10pt;
            width: 100%;
        }
        table th, table td {
            overflow: hidden;
            padding: 7px;
            word-wrap: break-word;
        }
        table td h4 {
            font-size: 12pt;
            font-weight: 200;
        }
        table td ul {
            padding-left: 15px;
            padding-right: 5px;
        }
        table.print-friendly tr td, table.print-friendly tr th {
            page-break-inside: avoid !important;
        }
        tbody tr:nth-child(odd){
          background-color: #efefef;

        }
    </style>

</head>
<body>
    <div class="container">
        <table class="print-friendly">
            <tr >
                <td colspan={% ifequal assessment.assessment_type.kind 'assessment' %}"5" {% else %} "4" {% endifequal %} align="center">
                    <h3 class="bold">{{assessment.name}} {% trans 'Report' %} {{report_date}}</h3>
                </td>
            </tr>
        </table>
        <table border="1" style="border: solid 1px;" class="print-friendly">
            <tr>
                <td class="bold" align="center" style="width:15%">
                    {{question_code}}
                </td>
                <td class="bold" align="center" style="width:35%">
                    {{question_text}}
                </td>
                <td class="bold" align="center" {% ifequal assessment.assessment_type.kind 'assessment' %} style="width:10%" {% else %} style="width:30%" {% endifequal %} >
                    {{answer}}
                </td>
                <td class="bold" align="center" {% ifequal assessment.assessment_type.kind 'assessment' %} style="width:15%" {% endifequal %} >
                    {{justification}}
                </td>
                {% ifequal assessment.assessment_type.kind 'assessment' %}
                <td class="bold" align="center" style="width:25%" >
                    {{evidences}}
                </td>
                {% endifequal %}
            </tr>

            {% for question in questions %}
                <tr>
                    <td align="center" valign="top">
                        {{question.code}}
                    </td>
                    <td style="padding: 10px;" valign="top">
                        {{question.text|ugettext_with_lang_filter:language|clean_html|decode}}
                    </td>
                    <td align="center" style="padding: 10px;" valign="top">
                        {% if question.answer %}
                            {{ question.answer.value|ugettext_with_lang_filter:language }}
                        {% endif %}
                    </td>
                    <td valign="top">
                        {% if question.answer %}
                            {{ question.answer.justification|ugettext_with_lang_filter:language }}
                        {% endif %}
                    </td>
                    {% ifequal assessment.assessment_type.kind 'assessment' %}
                    <td valign="top">
                        {% if question.evidences %}
                            {% for evidence_code_name, evidences in question.evidences.iteritems %}
                                <h4>{{ evidence_code_name }}</h4>
                                <ul>
                                    {% for ev in evidences %}
                                        <li>{{ ev }}</li>
                                    {% endfor %}
                                </ul>
                            {% endfor %}
                        {% endif %}
                    </td>
                    {% endifequal %}
                </tr>
            {% endfor %}

        </table>
    </div>
</body>
</html>